<?php
namespace Ep\Gath\Plugin;

class Category extends AbstractGathPlugin
{
    public function attach(): void
    {
        add_filter('get_terms', [$this, 'get_terms'], 10, 3);
    }

    public function get_terms($terms, $taxonomy, $query_vars)
    {
        if (is_array($taxonomy) && count($taxonomy) === 1 && $taxonomy[0] === 'product_cat') {
            $data = $this->gath->getCategories($query_vars['parent'], 0);
            return $this->loadTerms($data['Results']);
        }

        return $terms;
    }

    protected function loadTerms(array $terms): array
    {
        $loaded = [];

        foreach ($terms as $term) {
            $loaded[] = new \WP_Term((object) [
                'term_id' => $term['DataLink'],
                'name' => $term['Name'],
                'slug' => $term['Slug'],
                'term_group' => '',
                'term_taxonomy_id' => 0,
                'taxonomy' => 'product_cat',
                'description' => '',
                'count' => 1,
            ]);
        }

        return $loaded;
    }
}