<?php
namespace Ep\Gath\Plugin\Order;

use Ep\Gath\Plugin\AbstractGathPlugin;

/**
 * Dodaje vrstu narudžbe (retail|wholesale) u narudžbu.
 *
 * @package Ep\Gath\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
class Type extends AbstractGathPlugin
{
    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function attach(): void
    {
        add_filter('get_post_metadata', [$this, 'get_post_metadata'], 10, 4);
    }

    /**
     * Vraća tip narudžbe.
     *
     * @param $null
     * @param $object_id
     * @param $meta_key
     *
     * @return string|array
     */
    public function get_post_metadata($null, /** @noinspection PhpUnusedParameterInspection */ $object_id, $meta_key, $single = false)
    {
        switch ($meta_key) {
            case '_order_type':
                $type = $this->gath->isWholesale() ? 'wholesale' : 'retail';
                return $single ? $type : [$type];
        }

        return $null;
    }
}