<?php
namespace EpTest\Gath\Form;

use Ep\Gath\Form\SelectMotorcycle;
use EpTest\Gath\IntegrationTestTrait;
use PHPUnit\Framework\TestCase;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class SelectMotorcycleTest
 *
 * @package EpTest\Gath\Form
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
class SelectMotorcycleTest extends TestCase
{
    use IntegrationTestTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testCanCreateFormViaManager()
    {
        $container = $this->createContainer();
        /** @var PluginManagerInterface $formManager */
        $formManager = $container->get('FormElementManager');

        $this->assertTrue($formManager->has('gath.select_motorcycle'));

        $form = $formManager->get('gath.select_motorcycle');

        $this->assertInstanceOf(SelectMotorcycle::class, $form);
        $this->assertSame($form, $formManager->get('gath.select_motorcycle'));
    }
}